[xorg.conf/nvidia-prime missing] Nvidia detects 2 screen, It makes ubuntu unusable

Bug #1762200 reported by Ahmet Aksoy on 2018-04-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-drivers-common (Ubuntu)
High
Alberto Milone

Bug Description

System: Ubuntu 18.04 (08.04.2018 updated)
PC: Dell inspiron n5110 laptop
CPU: intel i7 2630QM
GPU: nvidia gt 525m
***

I installed latest nvidia driver, but driver detects 2 screen. bad thing is gdm, i can't see gdm greeter only purple background. greeter in primary(unknown) screen
Please check screenshot

***
U1804PC:~$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b5)
00:1c.7 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 8 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation HM67 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 525M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio Controller (rev a1)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller (rev 05)
09:00.0 Network controller: Intel Corporation Centrino Wireless-N 1030 [Rainbow Peak] (rev 34)
0b:00.0 USB controller: Texas Instruments TUSB73x0 SuperSpeed USB 3.0 xHCI Host Controller (rev 02)
U1804PC:~$

Ahmet Aksoy (parduist) wrote :
Ahmet Aksoy (parduist) wrote :

Also system can't wake up from sleep

Ahmet Aksoy (parduist) wrote :

After last update sleep problem solved but after wake up wallpaper corrupts

Ahmet Aksoy (parduist) wrote :

pisi@Pisi-U1804PC:~$ nvidia-settings

** (nvidia-settings:3216): WARNING **: 11:06:16.409: PRIME: Failed to execute child process “/usr/bin/prime-supported” (No such file or directory)
** Message: 11:06:16.409: PRIME: is it supported? no
pisi@Pisi-U1804PC:~

Ahmet Aksoy (parduist) wrote :

sleep issue continues randomly (Blank screen)

Ahmet Aksoy (parduist) wrote :

I found the fix/solution; i tryed delete unknown screen(CRT-0) from nvidia-settings but its shows "Failed to generate X config file!" and i checked /etc/x11, xorg.conf was missing
So, i copied my 17.10 xorg.conf to 18.04 now its working i can see gdm greeter

Also, this line caught my attention(xorg.conf line:30)
Option "IgnoreDisplayDevices" "CRT"

~$ nvidia-settings

(nvidia-settings:18214): dbind-WARNING **: 23:26:48.227: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (nvidia-settings:18214): WARNING **: 23:26:48.468: PRIME: Failed to execute child process “/usr/bin/prime-supported” (No such file or directory)
** Message: 23:26:48.468: PRIME: is it supported? no

WARNING: Unable to parse X.Org version string.

Package xorg-server was not found in the pkg-config search path.
Perhaps you should add the directory containing `xorg-server.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xorg-server' found

ERROR: Unable to find a display device for screen 0!

ERROR: Failed to add X screen 0 to X config.

ERROR: Failed to add X screens to X config.

summary: - nvidia detects 2 screen but there is no 2 screen
+ [xorg.conf missing]nvidia detects 2 screen but there is no 2 screen
Ahmet Aksoy (parduist) on 2018-04-20
summary: - [xorg.conf missing]nvidia detects 2 screen but there is no 2 screen
+ [xorg.conf/nvidia-prime missing] Nvidia detects 2 screen, It makes
+ ubuntu unusable
description: updated
no longer affects: nvidia-graphics-drivers-340 (Ubuntu)
no longer affects: nvidia-graphics-drivers-390 (Ubuntu)
no longer affects: xorg (Ubuntu)
Changed in ubuntu-drivers-common (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.5.2

---------------
ubuntu-drivers-common (1:0.5.2) bionic; urgency=medium

  * gpu-manager.c:
    - Disable CRT connectors for PRIME, as we used to
      do in 17.10. This solves a problem with phantom
      connectors on hybrid systems (LP: #1762200).

 -- Alberto Milone <email address hidden> Fri, 20 Apr 2018 17:07:28 +0200

Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers